NSStruct.hxx File Reference
`#include <iostream>`
`#include <vector>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWEntry.hxx"`

Go to the source code of this file.

## Classes

struct | NSStruct::Position
| a position More...
struct | NSStruct::Position::Compare
| a comparaison structure used to sort the position More...
struct | NSStruct::FootnoteInfo
| Internal: low level a structure helping to store the footnote information. More...
struct | NSStruct::RecursifData
| Internal: low level a structure helping to read recursifList. More...
struct | NSStruct::RecursifData::Info
| the zone information More...
struct | NSStruct::RecursifData::Node
| the data data More...

## Namespaces

| NSStruct
| a namespace used to regroup the different structure used to parse a Nisus File

## Enumerations

enum | NSStruct::ZoneType { NSStruct::Z_Main =0, NSStruct::Z_Footnote, NSStruct::Z_HeaderFooter }
| the different zone More...
enum | NSStruct::VariableType { NSStruct::V_None =0, NSStruct::V_Numbering, NSStruct::V_Variable, NSStruct::V_Version }
| the different variable type More...